Raw order book snapshot
This data is included in the following Kaiko packages:
Level 1 & Level 2 Data [Level 2 Aggregations]
Level 1 & Level 2 Data [Level 2 Tick-Level]
CeFi Spot ticker packs.
What is this endpoint for?
The raw data on which our Level 2 Aggregations such as market depth , bid/ask spread, and price slippage are built. Details a point-in-time view of the bids and asks on an exchange's order book to 10% depth. Used to build your own custom level 2 aggregations.
Endpoint
https://us.market-api.kaiko.io/v2/data/order_book_snapshots.v1/exchanges/{exchange}/spot/{instrument}/snapshots/rawPath Parameters
region
Yes
Choose between eu and us.
exchange
Yes
Exchange code.
See
instrument_class
Yes
Instrument class.
See
instrument
Yes
Instrument code.
See
Query Parameters
continuation_token
No
See
limit_orders
No
Number of orders to return on bid and ask side per snapshot.
To retrieve the best bid/ask, set this parameter to 1
Default: 10
page_size
No
Number of snapshots to return data for.
Default: 10
Max: 100
See
Automatically included in continuation tokens.
sort
No
Return the data in ascending (asc) or descending (desc) order.
Default: desc
Automatically included in continuation tokens.
start_time
No
Starting time in ISO 8601 (inclusive). Automatically included in continuation tokens.
end_time
No
Ending time in ISO 8601 (exclusive). Automatically included in continuation tokens.
Fields
poll_timestamp
The timestamp at which the raw data snapshot was taken.
poll_date
The date at which the raw data snapshot was taken.
timestamp
The timestamp provided by the exchange. null when not provided.
asks
The sell orders in the snapshot. If the limit_orders parameter is used, this will be reflected here. amount is the quantity of asset to sell, displayed in the base currency. price is displayed in the quote currency.
bids
The buy orders in the snapshot. If the limit_orders parameter is used, this will be reflected here. amount is the quantity of asset to buy, displayed in the base currency. price is displayed in the quote currency.
Request examples
Response example
This data is included in the following Kaiko packages:
Level 1 & Level 2 Data [Level 2 Aggregations]
Level 1 & Level 2 Data [Level 2 Tick-Level]
CeFi Spot ticker packs.
What is this endpoint for?
The raw data on which our Level 2 Aggregations such as market depth , bid/ask spread, and price slippage are built. Details a point-in-time view of the bids and asks on an exchange's order book to 10% depth. Used to build your own custom level 2 aggregations.
Endpoint
Path Parameters
region
Yes
Choose between eu and us.
exchange
Yes
Exchange code.
See
instrument_class
Yes
Instrument class.
See
instrument
Yes
Instrument code.
See
Query Parameters
continuation_token
No
See
limit_orders
No
Number of orders to return on bid and ask side per snapshot.
To retrieve the best bid/ask, set this parameter to 1
Default: 10
page_size
No
Number of snapshots to return data for.
Default: 10
Max: 100
See
Automatically included in continuation tokens.
sort
No
Return the data in ascending (asc) or descending (desc) order.
Default: desc
Automatically included in continuation tokens.
start_time
No
Starting time in ISO 8601 (inclusive). Automatically included in continuation tokens.
end_time
No
Ending time in ISO 8601 (exclusive). Automatically included in continuation tokens.
Fields
poll_timestamp
The timestamp at which the raw data snapshot was taken.
poll_date
The date at which the raw data snapshot was taken.
timestamp
The timestamp provided by the exchange. null when not provided.
asks
The sell orders in the snapshot. If the limit_orders parameter is used, this will be reflected here. amount is the quantity of asset to sell, displayed in the base currency. price is displayed in the quote currency.
bids
The buy orders in the snapshot. If the limit_orders parameter is used, this will be reflected here. amount is the quantity of asset to buy, displayed in the base currency. price is displayed in the quote currency.
Request examples
Response example
Last updated
Was this helpful?
